
Foreman - Feature #10926

As a user, I would like the option to boot off CD rather than network/image via compute resources

(vmware)

06/24/2015 08:13 PM - Dylan Baars

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With the compute resource for vmware, when creating a new VM through "hosts > new host" in the web interface, I'd like the option

to mount a CD (e.g. rhel boot iso) and start a kickstart installation rather than PXE boot or specifying an image to deploy.

So, having chosen to deploy to a vmware compute resource, going to the operating system tab > Provisioning Method would have a

new option "Boot CD" (or whatever) after which you can choose a boot CD for it to mount when it first powers on the virtual machine.

Another option would be to choose the kickstart file to use. It would be nice to be able to specify other boot options here as well - so

custom kickstart options can be entered (not sure how possible this would be!?)

If possible, it would be nice if the kickstart used the details entered on the network page (primary interface options) to configure the

network card when booting

Related issues:

Related to Boot disk - Feature #3287: Connect boot ISO when creating a new VM... Closed 10/16/2013

Blocked by Foreman - Feature #12624: add provision method from a plugin Closed 11/27/2015

Associated revisions

Revision 7f33169c - 03/21/2016 10:24 AM - Timo Goebel 

refs #10926 - eject bootdisk when host is bootdisk provisioned

closes GH-242

History

#1 - 06/25/2015 03:42 AM - Dominic Cleal

- Related to Feature #3287: Connect boot ISO when creating a new VM and boot from it added

#2 - 11/27/2015 05:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman_bootdisk/pull/19 added

#3 - 11/27/2015 09:40 AM - Timo Goebel

- Blocked by Feature #12624: add provision method from a plugin added

#4 - 03/23/2016 07:28 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Timo Goebel)

- Pull request deleted (https://github.com/theforeman/foreman_bootdisk/pull/19)

Moving PR to ticket #3287 as it's specifically about foreman_bootdisk, this covers general ISO booting.
